const sql = require("mssql/msnodesqlv8")
const conn = new sql.ConnectionPool({
    database: "Buldum_Data",
    server: "DESKTOP-8REGQUV",
    driver: "msnodesqlv8",
    options: {
        trustServerCertificate: true, // bunları girmezsek lisans hatası veriyor
        trustedConnection: true 	/// girdiğimiz kaynağın güvenilir olduğunu belirtiyoruz		
    }
})

conn.connect().then((result) => {
    if (result.connecting) {
        console.log(`connecting`)
    }
    if (result.connected) {
        result.request().query("SELECT * FROM dbo.Register_Table", (err, result) => {
            if (err) {
                console.log("ERROR", err)
            }
            console.log("result", result.recordset)
        })
        result.request().input("x", 1).query("SELECT * FROM dbo.Register_Table  where ID", (err, res) => {
            if (err) {
                console.log(`erro`, err)
            }
            console.log("res", res.recordset)
        })
        console.log("connected")
    }
})